:root {
    --layout-inline-margin: 120px;
    --image-height: 724px;
    --image-width: 1080px;
    --bg-color: #FBF5F0;
}

body {
    margin: 0;
    color: black;
    font-weight: normal;
    font-family: 'swizaregular';
}

h1 {
    margin: 0;
    font-family: 'swizabold';
    font-size: 40px;
    letter-spacing: 0.4px;
    font-weight: 200;
}

h2 {
    margin: 0;
    font-family: 'swizabold';
    font-size: 35px;
    font-weight: 200;
}

h3 {
    margin: 0;
    font-family: 'swizalight';
    font-size: 40px;
    letter-spacing: 0.4px;
    font-weight: 200;
}

h4 {
    margin: 0;
    font-family: 'swizabold';
    font-size: 28px;
    font-weight: 200;
}

p {
    margin: 0;
    font-size: 18px;
    letter-spacing: 0.18px;
    line-height: 28px;
}

p.small {
    margin: 0;
    font-size: 14px;
    line-height: 27px;
}

a {
    font-size: 18px;
    letter-spacing: 0.18px;
    line-height: 28px;
    color: black;
    text-decoration: none;
}

* {
    box-sizing: border-box;
}

ul.menu {
    list-style-type: none;
    display: flex;
    margin: 0;
    padding: 0;
}

.rich-text-content > :first-child {
    margin-top: 0;
}

.rich-text-content > :last-child {
    margin-bottom: 0;
}

.rich-text-content p,
.rich-text-content ul,
.rich-text-content ol {
    margin-bottom: 24px;
}

.rich-text-content ul,
.rich-text-content ol {
    padding-left: 24px;
}

.rich-text-content li + li {
    margin-top: 8px;
}

.rich-text-content h2,
.rich-text-content h3,
.rich-text-content h4 {
    margin-top: 60px;
    margin-bottom: 24px;
}

.rich-text-content a {
    text-decoration: underline;
    text-underline-offset: 3px;
}

.rich-text-content img {
    max-width: 100%;
    height: auto;
}

.image-section.right {
    position: relative;
    width: 100%;
    height: var(--image-height);
    background-color: white;
    overflow: visible;
}

.image-section.right::before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: calc(100vw - var(--image-width) + (var(--image-height) * 1.5));
    background-color: var(--bg-color);
    clip-path: polygon(
        0% 0%,
        calc(100% - var(--image-width) + (var(--image-height) / 2)) calc(100% - var(--image-height)),
        calc(100% - var(--image-width)) calc(100% - (var(--image-height) / 2)),
        0% var(--image-height)
    );
    z-index: 1;
}

.image-section.right::after {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    width: var(--image-width);
    height: 100%;
    background-image: var(--image-1);
    background-size: cover;
    background-position: right center;
    clip-path: polygon(
        calc(var(--image-height) / 2) 0%,
        100% 0%,
        100% 100%,
        calc(var(--image-height) / 2) 100%,
        0% 50%
    );
    z-index: 2;
}

.image-section.right .image-section__content {
    margin-left: var(--layout-inline-margin);
    padding-top: 84px;
    width: 350px;
    position: relative;
    z-index: 3;
}

.image-section.right .image-section__subtitle {
    margin-top: 10px;
}

.section__link-wrapper {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.section__link {
    font-size: 15px;
    line-height: 18px;
}

.references-section {
    position: relative;
    width: 100%;
    background-color: white;
}

.references-section::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--bg-color);
    clip-path: polygon(
        calc(100% - var(--image-width) + (var(--image-height) / 2)) 0%,
        100% 0%,
        100% 100%,
        0% 100%,
        0% calc(100vw - var(--image-width) + (var(--image-height) / 2))
    );
}

.references-section__content {
    padding-left: var(--layout-inline-margin);
    padding-right: var(--layout-inline-margin);
    padding-top: 150px;
    padding-bottom: 150px;
    width: 100%;
    position: relative;
    z-index: 1;
}

.references-section__title {
    margin-bottom: 50px;
}

.references-section__text {
    width: 100%;
    max-width: 893px;
    margin-bottom: 80px;
}

.references-section__references {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    column-gap: 18px;
    row-gap: 50px;
    margin-bottom: 50px;
}

.reference {
    width: 388px;
}

.reference__subtitle {
    margin-bottom: 8px !important;
}

.reference__title {
    margin-bottom: 25px;
}

.reference__image {
    width: 100%;
    aspect-ratio: 1 / 1;
    margin-bottom: 25px;
    object-fit: cover;
}

.reference__line {
    display: block;
    background-color: black;
    width: 100%;
    height: 2px;
}

.about-us-section {
    position: relative;
    width: 100%;
    background-color: white;
}

.about-us-section__content {
    padding-left: var(--layout-inline-margin);
    padding-right: var(--layout-inline-margin);
    padding-top: 150px;
    padding-bottom: 150px;
    width: 100%;
    position: relative;
    z-index: 3;
}

.about-us-section__title {
    margin-bottom: 36px;
}

.about-us-section__text {
    width: 100%;
    max-width: 793px;
    margin-bottom: 81px;
}

.about-us-section__image {
    display: block;
    width: 100%;
    margin-bottom: 60px;
}

.contact-section {
    position: relative;
    width: 100%;
    background-color: white;
}

.contact-section::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--bg-color);
}

.contact-section__content {
    padding-left: var(--layout-inline-margin);
    padding-right: var(--layout-inline-margin);
    padding-top: 150px;
    padding-bottom: 153px;
    width: 100%;
    position: relative;
    z-index: 1;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.contact-section__left {
    width: 250px;
}

.contact-section__title {
    margin-bottom: 50px;
}

.contact-section__text p {
    margin-bottom: 25px;
}

.contact-section__social {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 15px;
}

.contact-section__social img {
    width: 21px;
    height: 21px;
}

.contact-section__map {
    width: 792px;
    height: 598px;
    position: relative;
    overflow: hidden;
}

.contact-section__map iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100% !important;
    height: 100% !important;
}

@media (max-width: 767px) {
    :root {
        --layout-inline-margin: 36px;
        --image-height: 400px;
        --image-width: 360px;
    }

    h1 {
        font-size: 28px;
        letter-spacing: 0.28px;
    }

    h2 {
        font-size: 22px;
    }

    h3 {
        font-size: 28px;
        letter-spacing: 0.28px;
    }

    h4 {
        font-size: 22px;
    }

    p.small {
        font-size: 11px;
        line-height: 13px;
    }

    .rich-text-content p,
    .rich-text-content ul,
    .rich-text-content ol {
        margin-bottom: 20px;
    }

    .rich-text-content h2,
    .rich-text-content h3,
    .rich-text-content h4 {
        margin-top: 40px;
        margin-bottom: 18px;
    }

    .image-section.right {
        height: calc(var(--image-height) * 1.5);
    }

    .image-section.right::before {
        height: 100%;
        clip-path: polygon(
            calc(100% - var(--image-width)) 0%,
            100% 0%,
            100% 33.3%,
            calc(100% - var(--image-width) + (var(--image-height) / 2)) 33.33%
        );
    }

    .image-section.right::after {
        top: calc(var(--image-height) / 2);
        height: var(--image-height);
        clip-path: polygon(
            calc(var(--image-height) / 2) 0%,
            100% 0%,
            100% 100%,
            calc(var(--image-height) / 2) 100%,
            0% 50%
        );
    }

    .image-section.right .image-section__content {
        padding-top: 43px;
        width: 200px;
    }

    .references-section::before {
        clip-path: polygon(
            0% 0%,
            100% 100vw,
            100% 100%,
            0% 100%
        );
    }

    .references-section__content {
        padding-top: 90px;
        padding-bottom: 90px;
    }

    .references-section__title {
        margin-bottom: 25px;
    }

    .references-section__text {
        margin-bottom: 50px;
    }

    .references-section__references {
        row-gap: 30px;
        margin-bottom: 40px;
    }

    .reference {
        width: 100%;
    }

    .reference__title {
        margin-bottom: 19px;
    }

    .reference__image {
        margin-bottom: 20px;
    }

    .image-section.left {
        height: calc(var(--image-height) * 1.5);
    }

    .about-us-section__content {
        padding-top: 15px;
        padding-bottom: 0;
    }

    .about-us-section__title {
        margin-bottom: 25px;
    }

    .about-us-section__text {
        margin-bottom: 100px;
    }

    .about-us-section__image {
        width: 100vw;
        margin-left: calc(var(--layout-inline-margin) * -1);
        margin-bottom: 0;
    }

    .about-us-section .section__link-wrapper {
        display: none;
    }

    .contact-section__content {
        padding-top: 103px;
        padding-bottom: 100px;
        flex-direction: column;
        justify-content: flex-start;
        gap: 100px;
    }

    .contact-section__left
    .contact-section__right {
        width: 100%;
    }

    .contact-section__title {
        margin-bottom: 25px;
    }

    .contact-section__text p {
        margin-bottom: 20px;
    }

    .contact-section__social {
        gap: 12px;
    }

    .contact-section__social img {
        width: 16px;
        height: 16 px;
    }

    .contact-section__map {
        width: 100vw;
        margin-left: calc(var(--layout-inline-margin) * -1);
        height: 420px;
    }
}
